diff --git a/additional-base-lib-2.36-9-6.deb b/additional-base-lib-2.36-9-6.deb
deleted file mode 100644
index 83d2edd..0000000
Binary files a/additional-base-lib-2.36-9-6.deb and /dev/null differ
diff --git a/additional-base-lib-deb-contents/DEBIAN/control b/additional-base-lib-deb-contents/DEBIAN/control
deleted file mode 100644
index 8de76c7..0000000
--- a/additional-base-lib-deb-contents/DEBIAN/control
+++ /dev/null
@@ -1,9 +0,0 @@
-Package: additional-base-lib
-Version: 2.36-9-6
-Section: utils
-Priority: optional
-Architecture: amd64
-Maintainer: enforcee @ Deepin Technology Community
-Depends: bubblewrap, bash, coreutils, shared-mime-info, xdg-utils
-Description: A script to run programs with newer libc. (contains GLIBC_2.36 GLIBCXX_3.4.30)
-
diff --git a/additional-base-lib-deb-contents/usr/bin/ablrun b/additional-base-lib-deb-contents/usr/bin/ablrun
deleted file mode 100755
index 98072fa..0000000
--- a/additional-base-lib-deb-contents/usr/bin/ablrun
+++ /dev/null
@@ -1,48 +0,0 @@
-#!/usr/bin/bash
-
-if [ "$*" = "" ]
-then
- echo "usage: $0 [command [arguments ...]]"
- echo " The script is part of additional-base-lib. The package provides a"
- echo " simple way to solve the compatible problem between application and"
- echo " glibc, powered by bubblewrap."
- echo " All the library files, which distributed with additional-base-lib,"
- echo " are taken from debian bookworm. The script itself create by enforcee"
- echo " from deepin forum . There's no lisence"
- echo " nor copyright restriction with The script. Feel free to deal with."
- echo
- echo " This script auto-detects normal executable and appimage, and then"
- echo " uses specified script to run either. If you experienced issues,"
- echo " you may want to use them directly."
- echo " for appimage, you need ablrun-appimage."
- echo " for normal executable, you need ablrun-normal."
- exit
-fi
-
-if [ `whoami` = "root" ]
-then
- exec ablrun-normal "$@"
-fi
-
-if [ -e "$1" ]
-then
- ABL_FILENAME="$1"
-else
- ABL_FILENAME=`which $1`
- if [ "$?" != "0" ]
- then
- echo "File not exists."
- exit 1
- fi
-fi
-
-ABL_FILETYPE=`xdg-mime query filetype $ABL_FILENAME`
-if [ "$ABL_FILETYPE" != "application/vnd.appimage" ]
-then
- if [ "$ABL_FILETYPE" != "application/x-iso9660-appimage" ]
- then
- exec ablrun-normal "$@"
- fi
-fi
-
-exec ablrun-appimage "$@"
diff --git a/additional-base-lib-deb-contents/usr/bin/ablrun-appimage b/additional-base-lib-deb-contents/usr/bin/ablrun-appimage
deleted file mode 100755
index 7a26e91..0000000
--- a/additional-base-lib-deb-contents/usr/bin/ablrun-appimage
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/usr/bin/bash
-
-if [ "$*" = "" ]
-then
- echo "usage: $0 [appimage-file [arguments ...]]"
- echo " This is helper script to run appimages for additional-base-lib."
- echo
- echo " You have to ensure input file IS an appimage, for this script"
- echo " does not check. If you input other files, It will become"
- echo " unpredictable."
- exit
-fi
-
-ABLIMAGE_PARAMETERS=("$@")
-
-coproc "$1" --appimage-mount
-
-ABLIMAGE_PID=$!
-
-cleanup() {
- kill $ABLIMAGE_PID
- exit
-}
-trap cleanup SIGHUP
-trap cleanup SIGINT
-trap cleanup SIGTERM
-
-if [ ! -e /proc/$! ]
-then
- echo "Child process failed."
- exit 1
-fi
-
-read -u ${COPROC[0]} ABLIMAGE_DIR
-
-ablrun-normal $ABLIMAGE_DIR/AppRun ${ABLIMAGE_PARAMETERS[@]:1}
-
-cleanup
diff --git a/additional-base-lib-deb-contents/usr/bin/ablrun-normal b/additional-base-lib-deb-contents/usr/bin/ablrun-normal
deleted file mode 100755
index e1641b4..0000000
--- a/additional-base-lib-deb-contents/usr/bin/ablrun-normal
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/usr/bin/bash
-
-if [ "$*" = "" ]
-then
- echo "usage: $0 [command [arguments ...]]"
- echo " The script is part of additional-base-lib. The package provides a"
- echo " simple way to solve the compatible problem between application and"
- echo " glibc, powered by bubblewrap."
- echo " All the library files, which distributed with additional-base-lib,"
- echo " are taken from debian bookworm. The script itself create by enforcee"
- echo " from deepin forum . There's no lisence"
- echo " nor copyright restriction with The script. Feel free to deal with."
- echo
- echo " If you're going to run appimage with additional-base-lib, you may"
- echo " need ablrun-appimage."
- echo " There is a simpler script to handle both normal executable and"
- echo " appimage, called ablrun. usage: ablrun [command [arguments ...]]"
- exit
-fi
-
-ABL_LDSO_PATH=`readlink -e /lib64/ld-linux-x86-64.so.2`
-ABL_LIBC_PATH=`readlink -e /usr/lib/x86_64-linux-gnu/libc.so.6`
-
-if [ "$LD_LIBRARY_PATH" = "" ]
-then
- ABL_LIBRARY_PATH="/usr/lib/x86_64-linux-gnu/additional-base-lib/"
-else
- ABL_LIBRARY_PATH="$ABL_LIBRARY_PATH;/usr/lib/x86_64-linux-gnu/additional-base-lib"
-fi
-
-exec bwrap \
---dev-bind / / \
---bind /usr/lib/x86_64-linux-gnu/additional-base-lib/ld-linux-x86-64.so.2 "$ABL_LDSO_PATH" \
---bind /usr/lib/x86_64-linux-gnu/additional-base-lib/libc.so.6 "$ABL_LIBC_PATH" \
---bind /usr/lib/x86_64-linux-gnu/additional-base-lib/ldd /usr/bin/ldd \
---setenv LD_LIBRARY_PATH "$ABL_LIBRARY_PATH" \
--- "$@"
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ld-linux-x86-64.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ld-linux-x86-64.so.2
deleted file mode 100755
index 7fa9a2f..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ld-linux-x86-64.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ldd b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ldd
deleted file mode 100755
index b48b578..0000000
--- a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/ldd
+++ /dev/null
@@ -1,193 +0,0 @@
-#!/bin/bash
-# Copyright (C) 1996-2022 Free Software Foundation, Inc.
-# This file is part of the GNU C Library.
-
-# The GNU C Library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2.1 of the License, or (at your option) any later version.
-
-# The GNU C Library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-
-# You should have received a copy of the GNU Lesser General Public
-# License along with the GNU C Library; if not, see
-# .
-
-
-# This is the `ldd' command, which lists what shared libraries are
-# used by given dynamically-linked executables. It works by invoking the
-# run-time dynamic linker as a command and setting the environment
-# variable LD_TRACE_LOADED_OBJECTS to a non-empty value.
-
-# We should be able to find the translation right at the beginning.
-TEXTDOMAIN=libc
-TEXTDOMAINDIR=/usr/share/locale
-
-RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2"
-warn=
-bind_now=
-verbose=
-
-while test $# -gt 0; do
- case "$1" in
- --vers | --versi | --versio | --version)
- echo 'ldd (Debian GLIBC 2.36-9) 2.36'
- printf $"Copyright (C) %s Free Software Foundation, Inc.
-This is free software; see the source for copying conditions. There is NO
-warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-" "2022"
- printf $"Written by %s and %s.
-" "Roland McGrath" "Ulrich Drepper"
- exit 0
- ;;
- --h | --he | --hel | --help)
- echo $"Usage: ldd [OPTION]... FILE...
- --help print this help and exit
- --version print version information and exit
- -d, --data-relocs process data relocations
- -r, --function-relocs process data and function relocations
- -u, --unused print unused direct dependencies
- -v, --verbose print all information
-"
- printf $"For bug reporting instructions, please see:\\n%s.\\n" \
- ""
- exit 0
- ;;
- -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \
- --data-rel | --data-relo | --data-reloc | --data-relocs)
- warn=yes
- shift
- ;;
- -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \
- --function | --function- | --function-r | --function-re | --function-rel | \
- --function-relo | --function-reloc | --function-relocs)
- warn=yes
- bind_now=yes
- shift
- ;;
- -v | --verb | --verbo | --verbos | --verbose)
- verbose=yes
- shift
- ;;
- -u | --u | --un | --unu | --unus | --unuse | --unused)
- unused=yes
- shift
- ;;
- --v | --ve | --ver)
- echo >&2 $"ldd: option \`$1' is ambiguous"
- exit 1
- ;;
- --) # Stop option processing.
- shift; break
- ;;
- -*)
- echo >&2 'ldd:' $"unrecognized option" "\`$1'"
- echo >&2 $"Try \`ldd --help' for more information."
- exit 1
- ;;
- *)
- break
- ;;
- esac
-done
-
-nonelf ()
-{
- # Maybe extra code for non-ELF binaries.
- return 1;
-}
-
-add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now"
-add_env="$add_env LD_LIBRARY_VERSION=\$verify_out"
-add_env="$add_env LD_VERBOSE=$verbose"
-if test "$unused" = yes; then
- add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\""
-fi
-
-# The following command substitution is needed to make ldd work in SELinux
-# environments where the RTLD might not have permission to write to the
-# terminal. The extra "x" character prevents the shell from trimming trailing
-# newlines from command substitution results. This function is defined as a
-# subshell compound list (using "(...)") to prevent parameter assignments from
-# affecting the calling shell execution environment.
-try_trace() (
- output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc)
- rc=$?
- printf '%s' "${output%x}"
- return $rc
-)
-
-case $# in
-0)
- echo >&2 'ldd:' $"missing file arguments"
- echo >&2 $"Try \`ldd --help' for more information."
- exit 1
- ;;
-1)
- single_file=t
- ;;
-*)
- single_file=f
- ;;
-esac
-
-result=0
-for file do
- # We don't list the file name when there is only one.
- test $single_file = t || echo "${file}:"
- case $file in
- */*) :
- ;;
- *) file=./$file
- ;;
- esac
- if test ! -e "$file"; then
- echo "ldd: ${file}:" $"No such file or directory" >&2
- result=1
- elif test ! -f "$file"; then
- echo "ldd: ${file}:" $"not regular file" >&2
- result=1
- elif test -r "$file"; then
- RTLD=
- ret=1
- for rtld in ${RTLDLIST}; do
- if test -x $rtld; then
- dummy=`$rtld --version 2>&1`
- if test $? = 0; then
- verify_out=`${rtld} --verify "$file"`
- ret=$?
- case $ret in
- [02]) RTLD=${rtld}; break;;
- esac
- fi
- fi
- done
- case $ret in
- 1)
- # This can be a non-ELF binary or no binary at all.
- nonelf "$file" || {
- echo $" not a dynamic executable" >&2
- result=1
- }
- ;;
- 0|2)
- try_trace "$RTLD" "$file" || result=1
- ;;
- *)
- echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2
- exit 1
- ;;
- esac
- else
- echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2
- result=1
- fi
-done
-
-exit $result
-# Local Variables:
-# mode:ksh
-# End:
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libBrokenLocale.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libBrokenLocale.so.1
deleted file mode 100644
index 0c2f3bc..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libBrokenLocale.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libanl.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libanl.so.1
deleted file mode 100644
index 9723efe..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libanl.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc.so.6 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc.so.6
deleted file mode 100755
index 4c70874..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc.so.6 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc_malloc_debug.so.0 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc_malloc_debug.so.0
deleted file mode 100644
index 65ac4ee..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libc_malloc_debug.so.0 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libdl.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libdl.so.2
deleted file mode 100644
index 0b97eb5..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libdl.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libm.so.6 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libm.so.6
deleted file mode 100644
index fa83b37..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libm.so.6 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmemusage.so b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmemusage.so
deleted file mode 100644
index e7c0a85..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmemusage.so and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmvec.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmvec.so.1
deleted file mode 100644
index f58d1d1..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libmvec.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnsl.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnsl.so.1
deleted file mode 100644
index e08f9ea..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnsl.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_compat.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_compat.so.2
deleted file mode 100644
index c16487b..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_compat.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_dns.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_dns.so.2
deleted file mode 100644
index fad7184..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_dns.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_files.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_files.so.2
deleted file mode 100644
index e0284a3..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_files.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_hesiod.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_hesiod.so.2
deleted file mode 100644
index 66ec9eb..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libnss_hesiod.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpcprofile.so b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpcprofile.so
deleted file mode 100644
index 5270ba0..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpcprofile.so and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpthread.so.0 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpthread.so.0
deleted file mode 100644
index 0230463..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libpthread.so.0 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libresolv.so.2 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libresolv.so.2
deleted file mode 100644
index 4b46415..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libresolv.so.2 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/librt.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/librt.so.1
deleted file mode 100644
index bf05601..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/librt.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libstdc++.so.6 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libstdc++.so.6
deleted file mode 100644
index cc9a4f2..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libstdc++.so.6 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libthread_db.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libthread_db.so.1
deleted file mode 100644
index 2b9e5da..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libthread_db.so.1 and /dev/null differ
diff --git a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libutil.so.1 b/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libutil.so.1
deleted file mode 100644
index d5038a1..0000000
Binary files a/additional-base-lib-deb-contents/usr/lib/x86_64-linux-gnu/additional-base-lib/libutil.so.1 and /dev/null differ